/********************************************************************* 
 *
 *  Gmsh los monos confluencia
 * 
 *  
 *  
 *
 *********************************************************************/

// plano inferior de la confluencia 

// The simplest construction in Gmsh's scripting language is the
// `affectation'. The following command defines a new variable `lc':

lc = 0.1 ;

Point(1) = {0, 4, 0, lc} ;
Point(2) = {0, 0, 0, lc} ;
Point(3) = {3, 0, 0, lc} ;
Point(4) = {3, 4, 0, lc} ;
Point(5) = {2, 4,  0, lc} ;
Point(6) = {2, 1.5, 0, lc} ;
Point(7) = {1.5, 1.5, 0, lc} ;
Point(8) = {1, 1.5, 0, lc} ;
Point(9) = {1, 4, 0, lc} ;

Line(1) = {1,9} ;
Line(2) = {9,8} ;
Circle(3) = {8,7,6};
Line(4) = {6,5} ;
Line(5) = {5,4} ;
Line(6) = {4,3} ;
Line(7) = {3,2} ;
Line(8) = {2,1} ;

Line Loop(1) = {8,7,6,5,4,3,2,1} ;
Plane Surface(1) = {1};
Physical Volume("internal") = {1};

Transfinite Line {6, 8} = 80 Using Progression 1;
Transfinite Line {1, 5} = 20 Using Progression 1;
Transfinite Line {2,4} = 50 Using Progression 1;
Transfinite Line {7} = 60 Using Progression 1;
Transfinite Line {3} = 32 Using Progression 1;

//Extruda malla
Extrude {0,0,0.1} {Surface{1}; Layers{1}; Recombine; }

//crea patches
Physical Surface("T1") = {25};
Physical Surface("T2") = {41};
Physical Surface("Insulated") = {21, 49, 45, 37, 33, 29};
Physical Surface("frontAndBackPlanes") = {50, 1};
